SidInfoImpl Class Reference

`#include <SidInfoImpl.h>`

Inheritance diagram for SidInfoImpl:

## Public Member Functions

const char * | name () const
| Library name.
const char * | version () const
| Library version.
unsigned int | numberOfCredits () const
| Library credits.
const char * | credits (unsigned int i) const
| Library credits.
unsigned int | maxsids () const
| Number of SIDs supported by this library.
unsigned int | channels () const
| Number of output channels (1-mono, 2-stereo)
uint_least16_t | driverAddr () const
| Address of the driver.
uint_least16_t | driverLength () const
| Size of the driver in bytes.
uint_least16_t | powerOnDelay () const
| Power on delay.
const char * | speedString () const
| Describes the speed current song is running at.
const char * | kernalDesc () const
| Description of the laoded ROM images.
const char * | basicDesc () const
| Description of the laoded ROM images.
const char * | chargenDesc () const
| Description of the laoded ROM images.

## Public Attributes

const std::string | m_name
const std::string | m_version
std::vector< std::string > | m_credits
std::string | m_speedString
std::string | m_kernalDesc
std::string | m_basicDesc
std::string | m_chargenDesc
const unsigned int | m_maxsids
unsigned int | m_channels
uint_least16_t | m_driverAddr
uint_least16_t | m_driverLength
uint_least16_t | m_powerOnDelay

## Detailed Description

The implementation of the SidInfo interface.

The documentation for this class was generated from the following file:

- SidInfoImpl.h